﻿var type= new Array();
type['Area'] = new Array();
type['Distance'] = new Array();
type['Power'] = new Array();
type['Velocity'] = new Array();
type['Pressure'] = new Array();
type['Energy'] = new Array();
type['Frequency'] = new Array();

type['Area']['m²'] = 1;
type['Area']['inch²'] = 1550;
type['Area']['foot²'] = 10.76;
type['Area']['yard²'] = 1.196;
type['Area']['rods²'] = 0.0395;
type['Area']['chains²'] = 0.00247;
type['Area']['rods'] = 0.00098;
type['Area']['acres'] = 0.00024;
type['Area']['miles²'] = 0.03861/100000;

type['Distance']['cms'] = 1;
type['Distance']['inch'] = 0.3937;
type['Distance']['foot'] = 0.03281;
type['Distance']['yard'] = 0.01094;
type['Distance']['meter'] = 0.01;
type['Distance']['chain'] = 0.00049;
type['Distance']['kms'] = 0.00001;
type['Distance']['miles'] = 0.06214/10000;

type['Power']['Hp imperial'] = 1;
type['Power']['Hp metric'] = 0.74570;
type['Power']['Kilowatt'] = 1.014;
type['Power']['Poncelets'] = 0.7604;
type['Power']['Kg-m/sec'] = 76.04;
type['Power']['foot-lbs/sec'] = 550;
type['Power']['Kcal/sec'] = 0.1781;
type['Power']['Btu/sec'] = 0.70680;

type['Velocity']['cm/sec'] = 1;
type['Velocity']['m/sec'] = 0.01;
type['Velocity']['m/min'] = 0.6;
type['Velocity']['km/hr'] = 0.036;
type['Velocity']['foot/sec'] = 0.03281;
type['Velocity']['foot/min'] = 1.9685;
type['Velocity']['miles/hr'] = 0.02237;
type['Velocity']['knot'] = 0.01944;

type['Pressure']['mégadynes/cm2'] = 1;
type['Pressure']['kg/cm2'] = 1.01970;
type['Pressure']['lb/po2 '] = 14.5;
type['Pressure']['atmos-phères'] =  0.9869;
type['Pressure']['meter of Hg*'] = 0.7501;
type['Pressure']['inch of Hg*'] =  29.53;
type['Pressure']['meter of H2O*'] = 10.21;
type['Pressure']['inch of H2O*'] = 401.8;
type['Pressure']['foot of H2O'] = 33.49;

type['Energy']['Joule'] = 1;
type['Energy']['Kg-meter'] = 0.10197;
type['Energy']['lbs-foot'] = 0.7376;
type['Energy']['Kw-hr'] = 0.02778/100000;
type['Energy']['Hp-hr meter'] = 0.03777/100000;
type['Energy']['Hp-hr imperial US'] = 0.03725/100000;
type['Energy']['Litre-atm'] = 0.00986;
type['Energy']['K-cal'] = 0.02388/100;
type['Energy']['Btu'] = 0.09478/100;

type['Frequency']['Frequency/sec'] = 1;
type['Frequency']['Frequency/min'] = 60;
type['Frequency']['Frequency/hour'] = 3600;

var lastType='';
function view_onOpen() {
	var i=0;
	for(var TypeName in type)
	{
		if(valtype.value=='')
			valtype.value = TypeName;
		valtype.insertStringAt(TypeName,i++);
	}
	valtype.selectedIndex=0;
	typeChange();
	ParseToFloat();
}
valDepart.onchange = Convert;
view.onmouseover = typeChange;
view.onmouseout = typeChange;
valtype.onchange = typeChange;
view.onclick = typeChange;

function getType()
{
	return valtype.value;
}
function typeChange()
{
	if(lastType==getType())
		return;
	currentType = type[getType()];
	uniteDepart.removeAllElements();
	uniteArrivee.removeAllElements();
	var i=0;
	for(var Unite in currentType)
	{
		if(i==0)	
			uniteDepart.value = Unite;
		if(i==1)	
			uniteArrivee.value = Unite;
		uniteDepart.insertStringAt(Unite,i);
		uniteArrivee.insertStringAt(Unite,i);
		i++;
	}
	uniteDepart.selectedIndex= 0;
	uniteArrivee.selectedIndex = 1;
	Convert();
	lastType = getType();
}
function ParseToFloat()
{

	var valeur = valDepart.value;
	if(valeur=='')
	{
		valeur = 0;
		valDepart.value= valeur;
	}
	if(parseFloat(valeur)!=valeur)
	{
	
		valDepart.value = valDepart.value.substring(0,valDepart.value.length-1);
		ParseToFloat(valDepart);
	}
	else
	{
		if(valDepart.value.length>=2)
			if(valDepart.value.substring(0,1)=='0' && valDepart.value.substring(1,2)!='.')
		valDepart.value = valDepart.value.substring(1);
	
	}
}

function Convert()
{
	ParseToFloat();
	var valeur = valDepart.value;
	
	var txDepart = type[getType()][getUniteDepart()];
	var txArrivee = type[getType()][getUniteArrivee()];
	valeur = valeur * txArrivee / txDepart;
	valeur = parseFloat(valeur);
	
	valArrivee.innerHTML = valeur+" "+getUniteArrivee();
}

function getUniteDepart()
{
	return uniteDepart.value;
}

function getUniteArrivee()
{
	return uniteArrivee.value;
}